rem Build config.sys

echo.
echo Generating config.sys...
echo.

if "%dosver%"=="5" goto dos5
c:
cd\
copy c:\snfcfg\ctop.lne config.sys >NUL

if "%slots%"=="2" copy config.sys + c:\snfcfg\csniffer.2 >NUL
if "%slots%"=="2" goto slot_1
if "%isa%"=="y" copy config.sys + c:\snfcfg\csniffer.isa >NUL
if "%eflag%"=="e" copy config.sys + c:\snfcfg\csniffer.e >NUL
if "%tflag%"=="t" copy config.sys + c:\snfcfg\csniffer.t >NUL
goto slot_1

:slot_1            
if "%word%"=="w" copy config.sys + c:\snfcfg\cwindows.mnu >NUL
copy config.sys + c:\snfcfg\cdos.mnu  >NUL
copy config.sys + c:\snfcfg\crest.mnu >NUL

if "%isa%"=="y" copy config.sys + c:\snfcfg\csniffer.tg2 >NUL
if "%isa%"=="y" copy config.sys + c:\snfcfg\crest.snf    >NUL
if "%isa%"=="y" copy config.sys + c:\snfcfg\cfixemm.snf    >NUL

if "%slots%"=="1" goto 1slot

copy config.sys + c:\snfcfg\csniffer.tg2 >NUL

copy config.sys + c:\snfcfg\crest.snf >NUL
if "%eflag%"=="e" copy config.sys + c:\snfcfg\ce%enmem%a.snf >NUL
if "%laptype%"=="lte" goto lte
if "%tflag%"=="t" copy config.sys + c:\snfcfg\ct%trmem%b.snf >NUL
goto skiplte

:lte
if "%tflag%"=="t" copy config.sys + c:\snfcfg\ct%trmem%b.lte >NUL

:skiplte
copy config.sys + c:\snfcfg\cfixemm.snf >NUL
goto :1done

:1slot

if not "%eflag%"=="e" goto token
copy config.sys + c:\snfcfg\csniffer.tge >NUL
copy config.sys + c:\snfcfg\ce%enmem%a.snf >NUL
copy config.sys + c:\snfcfg\crest.snf >NUL
copy config.sys + c:\snfcfg\cfixemm.snf >NUL

:token
if not "%tflag%"=="t" goto 1done
copy config.sys + c:\snfcfg\csniffer.tgt >NUL
copy config.sys + c:\snfcfg\ct%trmem%a.snf >NUL
copy config.sys + c:\snfcfg\crest.snf >NUL
copy config.sys + c:\snfcfg\cfixemm.snf >NUL

:1done

if "%word%"=="w" copy config.sys + c:\snfcfg\cwindows.tag >NUL
copy config.sys + c:\snfcfg\cdos.tag >NUL
copy config.sys + c:\snfcfg\crest.tag >NUL
goto done

:dos5

copy config.sys + c:\snfcfg\crest.snf >NUL
if "%eflag%"=="e" copy config.sys + c:\snfcfg\ce%enmem%a.snf >NUL
if "%tflag%"=="t" copy config.sys + c:\snfcfg\ct%trmem%b.snt >NUL
copy config.sys + c:\snfcfg\cfixemm.snf >NUL

goto done


:done

